elm_code_syntax.h File Reference

These routines are used for handling the parsing of Elm Code content. More...

## Functions

Elm_Code_Syntax * | elm_code_syntax_for_mime_get (const char *mime)
| Lookup a syntax definition from a mime type.
void | elm_code_syntax_parse_line (Elm_Code_Syntax *syntax, Elm_Code_Line *line)
| Parse a line and apply the syntax definition by inserting Elm_Code_Token into the line.
void | elm_code_syntax_parse_file (Elm_Code_Syntax *syntax, Elm_Code_File *file)
| Parse a file and apply the syntax definition one line at a time.

## Detailed Description

These routines are used for handling the parsing of Elm Code content.